%define _unpackaged_files_terminate_build 1

Name: blokkal
Version: 0.1.0
Release: alt2

Summary: KDE4 blogging client
License: GPLv2
Group: Networking/Other

Url: http://blokkal.sourceforge.net/
Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source: %name-%version.tar
Patch0: blokkal-0.1.0-alt-outofsource-fixes.patch
Patch1: blokkal-0.1.0-alt-desktop-fixes.patch
Patch2: blokkal-0.1.0-alt-crash-fix.patch

BuildPreReq: gcc-c++ kde4pimlibs-devel kdelibs-devel
BuildPreReq: libjpeg-devel libldap-devel boost-devel
BuildRequires(pre): kde-common-devel

%description
Blokkal is a KDE blogging client that supports multiple protocols and
blogging sites. The goal is to provide a uniform way to access the
most-commonly-used blogging systems. It has been designed for a maximum
of modularity allowing for easy extension.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%K4cmake -DKDE4_ENABLE_FINAL:BOOL=1
%K4make

%install
%K4install
rm -f %buildroot%_libdir/lib*.so
%K4find_lang --with-kde %name


%files -f %name.lang
%doc AUTHORS
%_bindir/*
%_libdir/lib*.so.*
%_K4lib/*.so
%_desktopdir/kde4/*.desktop
%_K4apps/%{name}*
%_K4cfg/*.kcfg
%_K4srv/*.desktop
%_K4srvtyp/*.desktop
%_Kmimelnk/application/*.desktop
%_iconsdir/*/*/*/*

%changelog
* Tue Nov 18 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.1.0-alt2
- remove update_*/clean_* invocations

* Sun Aug 17 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.1.0-alt1
- initial build
